Subject: Re: Paper on lookup in Linux.

From: Andi Kleen <[email-masked]>
Date: Mon, 4 Sep 2006 15:29:39 +0200

On Monday 04 September 2006 14:53, Robert Olsson wrote:

>  No we haven't put struct socket in the leafs (result node) yet we just kept 
>  dst entries and some stateful flow variables that we used for active GC 
>  and flow logging so far. So 128 bit flow version of the dst hash. It would 
>  have taken a lot a of more work and we wanted to get this paper out. Also 
>  ip_route_input is not the place have the lookup if we with unified include 
>  ip6. So we focused on designing and building the lookup core.

Thanks.

The reason I'm asking is that we still have trouble with the TCP hash tables
taking far too much memory, and your new data structure might provide a nice 
alternative. 

-Andi